package com.ruoyi.branch.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 支部活动预算对象 t_branch_activity_budget
 * 
 * @author ruoyi
 * @date 2023-07-20
 */
public class TBranchActivityBudget extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id")
    private Long budgetId;

    /** 活动预告id */
    @Excel(name = "活动预告id")
    private Long noticeId;

    /** 分项 */
    @Excel(name = "分项")
    private String budgetItem;

    /** 预算金额 */
    @Excel(name = "预算金额")
    private Long budgetAmount;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    public void setBudgetId(Long budgetId) 
    {
        this.budgetId = budgetId;
    }

    public Long getBudgetId() 
    {
        return budgetId;
    }

    public void setNoticeId(Long noticeId) 
    {
        this.noticeId = noticeId;
    }

    public Long getNoticeId() 
    {
        return noticeId;
    }

    public void setBudgetItem(String budgetItem) 
    {
        this.budgetItem = budgetItem;
    }

    public String getBudgetItem() 
    {
        return budgetItem;
    }

    public void setBudgetAmount(Long budgetAmount) 
    {
        this.budgetAmount = budgetAmount;
    }

    public Long getBudgetAmount() 
    {
        return budgetAmount;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("budgetId", getBudgetId())
            .append("noticeId", getNoticeId())
            .append("budgetItem", getBudgetItem())
            .append("budgetAmount", getBudgetAmount())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .toString();
    }
}
